Overview | Modules | Class Hierarchy | Classes | Members

# tlp::NodeLinkDiagramComponentInteractor Class Reference

`#include <GlMainViewInteractor.h>`

Inherits tlp::InteractorChainOfResponsibility.

Inherited by tlp::InteractorAddEdge, tlp::InteractorAddNode, tlp::InteractorDeleteElement, tlp::InteractorEditEdgeBends, tlp::InteractorGetInformation, tlp::InteractorMagicSelection, tlp::InteractorNavigation, tlp::InteractorRectangleZoom, tlp::InteractorSelection, and tlp::InteractorSelectionModifier.

Inheritance diagram for tlp::NodeLinkDiagramComponentInteractor:

[legend]
Collaboration diagram for tlp::NodeLinkDiagramComponentInteractor:

[legend]
List of all members.

## Detailed Description

Tulip interactor abstract class for NodeLinkDiagramComponent.

## Public Member Functions

- NodeLinkDiagramComponentInteractor (const QString &iconPath, const QString &text)
- virtual bool isCompatible (const std::string &viewName)

## Constructor & Destructor Documentation

tlp::NodeLinkDiagramComponentInteractor::NodeLinkDiagramComponentInteractor | ( | const QString & | iconPath,
|  | const QString & | text
| ) |

## Member Function Documentation

virtual bool tlp::NodeLinkDiagramComponentInteractor::isCompatible | ( | const std::string & | viewName | ) | `[inline, virtual]`

| return if this interactor is compatible with given View Implements tlp::Interactor.

Tulip Software by LaBRI Visualization Team 2001 - 2010